#
# spec file for package python-txaio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-txaio
Version:        2.9.0
Release:        lp151.2.2
License:        MIT
Summary:        WebSocket and WAMP in Python for Twisted and asyncio
Url:            http://crossbar.io/autobahn
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/txaio/txaio-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
# SECTION test requirements
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module six}
# /SECTION
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
WebSocket allows bidirectional real-time messaging on the Web and WAMP adds 
asynchronous Remote Procedure Calls and Publish & Subscribe on top of WebSocket. 

%prep
%setup -q -n txaio-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
